﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;
using System.Threading;

namespace Spread_WinFilter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("zh-CN");
            this.Load += new EventHandler(Filtering_Load);
        }
        void Filtering_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < fpSpread1.ActiveSheet.ColumnCount; i++)
            {
                fpSpread1.ActiveSheet.Columns[i].AllowAutoFilter = true;
            }
            comboBox1.SelectedIndex = 0;
        }
        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (comboBox1.SelectedIndex)
            {
                case 0:
                    fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.FilterGadget;
                    break;
                case 1:
                    fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.FilterBar;
                    break;
                case 2:
                    fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.EnhancedContextMenu;
                    break;
            }
        }
    }
}